Subject: [alpine-aports] [PATCH] testing/redshift: upgrade to 1.11

From: Sören Tempel <[email-masked]>
Date: Sat, 9 Jan 2016 12:37:46 +0100

---
 testing/redshift/APKBUILD | 22 ++++++++++++++++------
 1 file changed, 16 insertions(+), 6 deletions(-)

diff --git a/testing/redshift/APKBUILD b/testing/redshift/APKBUILD
index 3cd205e..e7c31df 100644
--- a/testing/redshift/APKBUILD
+++ b/testing/redshift/APKBUILD
@@ -1,14 +1,15 @@
+# Contributor: Sören Tempel <[email-masked]>
 # Maintainer: 7heo <[email-masked]>
 pkgname=redshift
-pkgver=1.10
+pkgver=1.11
 pkgrel=0
 pkgdesc="Adjusts the color temperature of your screen according to your surroundings"
 url="http://jonls.dk/redshift/"
 arch="all"
 license="GPL3"
 depends=""
-depends_dev="libxcb-dev libxxf86vm-dev libdrm-dev"
-makedepends="$depends_dev intltool"
+depends_dev=""
+makedepends="libxcb-dev libxxf86vm-dev libdrm-dev intltool"
 install=
 replaces=""
 subpackages="$pkgname-doc"
@@ -44,8 +45,17 @@ build() {
 package() {
 	cd "$_builddir"
 	make DESTDIR="$pkgdir" install || return 1
+
+	mkdir -p "$pkgdir"/usr/share/doc/$pkgname/examples
+	install -m644 redshift.conf.sample \
+		"$pkgdir"/usr/share/doc/$pkgname/examples/redshift.conf || return 1
+
+	local f=
+	for f in ABOUT-NLS DESIGN HACKING NEWS README README-colorramp; do
+		install -m644 $f "$pkgdir"/usr/share/doc/$pkgname/$f || return 1
+	done
 }
 
-md5sums="3a5480b8dd5d28a877a0cb407619fd76  redshift-1.10.tar.xz"
-sha256sums="5bc2e70aa414f42dafb45c6e06ea90157d7d4b298af48877144ff442639aeea6  redshift-1.10.tar.xz"
-sha512sums="d84f79ed335ead47941fa0471ef6595ffcdee9f4544da579e4df5ce7dc6e9c286d679999f26683ebf4b397a5bb9847305612cf0843b5e711cad2a50a0741d5bf  redshift-1.10.tar.xz"
+md5sums="a31d768b0348c5202e58612855a9027e  redshift-1.11.tar.xz"
+sha256sums="10e350f93951c0521dd6f103d67a485972c307214f036e009acea2978fe4f359  redshift-1.11.tar.xz"
+sha512sums="88d7a4aabfaf3073f88673bc77df19d7bd79cb19aa8e647670cc52c02443475a4602f109fc4a06bf1639d1829d16a2644854039f90a614fc1a51c9cb4c81de16  redshift-1.11.tar.xz"
-- 
2.7.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---